GNU bug report logs - #25671
Feature request: emacs -Q --script as a single binary

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>; merged with #20682; dated Thu, 9 Feb 2017 21:16:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 25671 <at> debbugs.gnu.org:


Received: (at 25671) by debbugs.gnu.org; 10 Feb 2017 20:21:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 10 15:21:43 2017
Received: from localhost ([127.0.0.1]:35029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ccHhP-0004jF-73
	for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 15:21:43 -0500
Received: from mout.kundenserver.de ([212.227.126.133]:61021)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1ccHhN-0004iw-Ou
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 15:21:42 -0500
Received: from [18.26.2.123] ([18.26.2.123]) by mrelayeu.kundenserver.de
 (mreue004 [212.227.15.168]) with ESMTPSA (Nemesis) id
 0MN912-1cVi7j1l5k-006hrE; Fri, 10 Feb 2017 21:21:35 +0100
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
To: Eli Zaretskii <eliz@HIDDEN>
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <83lgte4hto.fsf@HIDDEN> <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN>
 <831sv63x8b.fsf@HIDDEN> <fe59c761-3751-1ae9-c178-2b51fd550e04@HIDDEN>
 <83shnm2dai.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <52b9f11d-85eb-a8bd-7155-b781baaeb4ac@HIDDEN>
Date: Fri, 10 Feb 2017 15:21:33 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.7.0
MIME-Version: 1.0
In-Reply-To: <83shnm2dai.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="rDwfcl0MSXtnMUGwQ4M3tNrtUXPGtULiU"
X-Provags-ID: V03:K0:d5T1chIb3dQvGg+owNhMtUAqMlqc/oWvjShg3ShcIFI5Fu+1GC4
 SNIGjsyTE6kdEaTumRzsV6ZkPJ2C7OeooIFwAw48YkzfznGvdC8wLGdkCW+4cIoYfMG1TZ9
 mnbDPZOy0PtE1p9wksG2PA47uBD1ICkobjZN2W2Twqk8nj5+JvwTj/pfJDisTxEbOrMaeJ1
 QqR8rJ01Gor3n4GyL6aXg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:aqZh8f9E4l4=:joHHEIfE5AHgmEKd6bOzyr
 ZlK4fLsuUPAkz4S1e8dKVORMSV4B1rWHgG7tSW9bbxUez/KYSHP7drJ9sFlKVW+m7CLHKgiEn
 hjRobn12BadjlANztv62K5+IEClqDv1exi2zWdDQvWxKRagfnQzPUf3JWwI2mZmGh/aznp5Xp
 7Hd9OsKGgq5S8lfcvg73naTG+jCV2VGM8Ni9erf9G1cpqgiZAqHsuNdxct6fpagfIH8LqR7cP
 3LCDeNbRn1RA92vU9+Bsz+Hdjtq7EtZgpEnNslNKqxNksDYEGUnAXCpVUBituoWLdtsU968Ev
 ERFT488eoWOx63Y0FcOQIUK5vd5Ro+tYR4oo6sev3VI6aFGUVQuu9YED1tvEdNbHoq1IIjXkI
 mN0Y54BmDk1ipUvaV12ZGhmhHGO26Rn9Lmu+0YQ+HJii9K4FTl6IP7ZaH70pXESdB5+qLmI9Q
 Tp5t7GM0XtK+EDg+vsvn/kYpoPj0J9rKokZRTOFhpwxYOeGApALxuN3Q3hCTw5jSTMneBLeNM
 /EUQJAN9wldSOS5KZ80/GdhA7MzRDnJ97YkW73SRw+LwGDjyQ2mUKwKEStyjyRxkId4DdPNEI
 T2S5Z2dkN9d10hpCBpkeFo9zLgj2Gv/vHOIUsuMFR9+m5cDbNeNjROVtw/LoZenUvjGRBN8AE
 ++oQM2OFZXhapZHQ9aM0yibXEiD7GFmBgp2j4i3iJKjSr+4ahxQwnnAOprk0m2wIXsdc=
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 25671
Cc: 25671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--rDwfcl0MSXtnMUGwQ4M3tNrtUXPGtULiU
Content-Type: multipart/mixed; boundary="QjoKUPWghKxv0oOUlBAtabcxB0puK89gf";
 protected-headers="v1"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 25671 <at> debbugs.gnu.org
Message-ID: <52b9f11d-85eb-a8bd-7155-b781baaeb4ac@HIDDEN>
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <83lgte4hto.fsf@HIDDEN> <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN>
 <831sv63x8b.fsf@HIDDEN> <fe59c761-3751-1ae9-c178-2b51fd550e04@HIDDEN>
 <83shnm2dai.fsf@HIDDEN>
In-Reply-To: <83shnm2dai.fsf@HIDDEN>

--QjoKUPWghKxv0oOUlBAtabcxB0puK89gf
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2017-02-10 11:58, Eli Zaretskii wrote:
>> Cc: 25671 <at> debbugs.gnu.org
>> From: Cl=C3=A9ment Pit--Claudel <clement.pitclaudel@HIDDEN>
>> Date: Fri, 10 Feb 2017 11:45:55 -0500
>>
>>>>> I believe changing the program behavior depending on how it was nam=
ed
>>>>> in the command that invoked it is against GNU coding standards.
>>>>
>>>> What about providing elisp or emacs-script as a separate binary?
>>>
>>> What about it?
>>
>> Would that be OK? Could it work?
>=20
> Yes, it will.  Although distributing two large binaries might be
> overkill.  (All that just to make shell scripts slightly simpler?)

Right; that's why I thought the "two possible names for the same binary" =
approach was nice :/
It would make it possible to run elisp command line programs in Windows w=
ithout a batch script wrapper, and it would make these scripts nicer in G=
NU/Linux and macOS.  But arguably that's still a limited benefit.  If the=
re's no way to reuse the Emacs binary (that is, if there's no way to make=
 "elisp" just be a wrapper around "emacs"), then I think we should close =
this issue.

Cheers,
Cl=C3=A9ment.


--QjoKUPWghKxv0oOUlBAtabcxB0puK89gf--

--rDwfcl0MSXtnMUGwQ4M3tNrtUXPGtULiU
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJYniDNAAoJEPqg+cTm90wjReAQAJUcMsgLntU+2kodgXfCeYZY
rlShye/DRWMsXY7nHCFgS5as2AjHGDJ56vrTGmRKUgS1XuoA90mNzK4zBO5xDJHx
lrSYWg9CLfOUjtF8bCr0bB2ymrBteHPCMTjqbChq+uYJi2VJNMkKf/5bdfXhFBsF
aGBFS7wsbtUMdDwtvcadH92e+t3+Ed7cGD7dQ1JMQYn2QJBHKRVxUIYKq4ihqIt8
A4UGaLQ6xpxIai7LXoB09HkwGAIbRAMiq7AZ7vabkfGNK/qMzHKm4MApjF4a9LZI
/c6TVK6Ab5rib4hKY94xm6W8/xA49+wVeXPoEsUWeKnicKFpbLleG7/OZMdcW556
SPFsp0+jNjSXWtHqZ7TTVuVvAK+HzFx0afBq24ssXquoIqmoxUajgsBhU7gBGqgE
6A0QW6aZMCQmF2BYpisgXAmh2B9l1pENayfsz1JV8TIf0ryhtfsvWcqnkrKOlJAh
NpUDnVO8/xnVMqKu+dQTt86nYiI2e3LRxV+X/WviY9t1yPobvLPHpa7RcnFUamwf
qqx62Mb+kFl3in9We1Up1/GwOMl+IIrQFNPL2v8nQlQcF67mHhTq+fIg8q5jQCbW
/vgN+PlrkqBNZnKqlg74tpXlOUFYXSBAEsI2+OSrYNUb+i3MTsl251KpQUGorE+p
/+wMwHx14VK6QxBWuMdV
=PBSH
-----END PGP SIGNATURE-----

--rDwfcl0MSXtnMUGwQ4M3tNrtUXPGtULiU--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25671; Package emacs. Full text available.

Message received at 25671 <at> debbugs.gnu.org:


Received: (at 25671) by debbugs.gnu.org; 10 Feb 2017 20:21:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 10 15:21:39 2017
Received: from localhost ([127.0.0.1]:35026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ccHhG-0004ir-2W
	for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 15:21:39 -0500
Received: from mout.kundenserver.de ([212.227.126.131]:51322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1ccHhD-0004ie-PT
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 15:21:32 -0500
Received: from [18.26.2.123] ([18.26.2.123]) by mrelayeu.kundenserver.de
 (mreue004 [212.227.15.168]) with ESMTPSA (Nemesis) id
 0LhziI-1c73gn1W9C-00n8dz; Fri, 10 Feb 2017 21:21:23 +0100
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
To: Glenn Morris <rgm@HIDDEN>
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <83lgte4hto.fsf@HIDDEN> <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN>
 <831sv63x8b.fsf@HIDDEN> <fe59c761-3751-1ae9-c178-2b51fd550e04@HIDDEN>
 <05d1eqost8.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <bdb3893f-688a-c56b-28eb-4d5c447fd3ed@HIDDEN>
Date: Fri, 10 Feb 2017 15:21:15 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.7.0
MIME-Version: 1.0
In-Reply-To: <05d1eqost8.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="SwSHKTFF67MBK5rxiGLoPNUfaMOao0VSM"
X-Provags-ID: V03:K0:6uinH4zB87pbEOdwiArY3FZXkOKZdtZqvPtEtYE98IY+lKOaLcS
 DIazd49dKYn7jhSskNASn8ihUlQPkytN+SqtdE/N9+P2EUbeM4xCHbgfYprlzBlxwJjGIGc
 6iVXcPNIE3p4gElB16WjtTy24d7FIvwAg0yLC2L4Sy7h84BvNNCugSCLKPbBQmQpVN0sr5W
 hIsTUyazjJt5ahxBWIoaA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:NI3cb1oorPA=:ysNbFC75eSlMZwAWn+oUEh
 KSdi58MEyutSjnZUho9FF0Y1QcFQ06YWqUGqyOCO0nmYRHQ0Co1uMq8O7BkS7hcBnma9lRxwU
 GeqbhVYKJE2rsdlE27SSKkuC8mo5vmJZZPSeBswmtt4y75KM5wxwpu9mV+Vb9UDLf/9iHI1C3
 othFS4ued0s+IdzXiUkSGZFED1f7wLNEnNR9BI+UgIukbpm8lzUvwgBG4arOybQYcTbQcXEak
 NgoZOPrjpZc/RrFjcaRWARdmv2rSM14O3wO6zcYORYxPTNTvjo9j3qJZj69zBeXofyQJ+3oqs
 b/iGnwJ89OHYGv9Ec+9/amEzSad1YT9zfhk+NPju0hpDiyedZJwjNejrjIzyIH2LUNj5tm14b
 clxCx1Bm1H9W7YIgtaESraX9Tk3K6W9j0Z/U+LLa60NMZxcz/aNV1BGDU8GPC4r1cOjTKfxaU
 ZFZWckcVR9jDR8eRBlEqfxbgONoLv2eDgrR4gI40fNVoAdiA+Yb+1BjKNIHmN8/UiEfzYdo5R
 gJbIDBWE36S9ST0eXh2nnE0Kse+9PaMobeplUywIWmQ2jePIz27kp0phaO576q2GIszLDH4lZ
 59sWC1Fpzh1rmrr6knu4n4dyCWB4wqTZph5L36eNdxfabGZuCJztbHTlZNH4RhOs5YswwnDsg
 bYyhDOfhF64hmk+fZzRCKCql3UT2JAhfiQi7I3/8QxpsHzhPOs/niU/wKe2ykTRkEWjk=
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2017-02-10 12:32, Glenn Morris wrote: > Clément Pit--Claudel
    wrote: > >>>> What about providing elisp or emacs-script as a separate binary?
    >>> >>> What about it? >> >> Would that be OK? > > I would not like installing
    Emacs to pollute my PATH with trivial things > like that. In https://debbugs.gnu.org/20682#11
    I mentioned a > standard solution for this issue as used by perl, ruby, etc;
    > namely a -x switch. [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [212.227.126.131 listed in list.dnswl.org]
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.126.131 listed in dnsbl.sorbs.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (clement.pitclaudel[at]live.com)
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
X-Debbugs-Envelope-To: 25671
Cc: 25671 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2017-02-10 12:32, Glenn Morris wrote: > Clément Pit--Claudel
    wrote: > >>>> What about providing elisp or emacs-script as a separate binary?
    >>> >>> What about it? >> >> Would that be OK? > > I would not like installing
    Emacs to pollute my PATH with trivial things > like that. In https://debbugs.gnu.org/20682#11
    I mentioned a > standard solution for this issue as used by perl, ruby, etc;
    > namely a -x switch. [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.126.131 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [212.227.126.131 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (clement.pitclaudel[at]live.com)
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--SwSHKTFF67MBK5rxiGLoPNUfaMOao0VSM
Content-Type: multipart/mixed; boundary="esFQtgV4SaoIgkx7b6aVh1Qob91gWxqsO";
 protected-headers="v1"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Cc: Eli Zaretskii <eliz@HIDDEN>, 25671 <at> debbugs.gnu.org
Message-ID: <bdb3893f-688a-c56b-28eb-4d5c447fd3ed@HIDDEN>
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <83lgte4hto.fsf@HIDDEN> <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN>
 <831sv63x8b.fsf@HIDDEN> <fe59c761-3751-1ae9-c178-2b51fd550e04@HIDDEN>
 <05d1eqost8.fsf@HIDDEN>
In-Reply-To: <05d1eqost8.fsf@HIDDEN>

--esFQtgV4SaoIgkx7b6aVh1Qob91gWxqsO
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2017-02-10 12:32, Glenn Morris wrote:
> Cl=C3=A9ment Pit--Claudel wrote:
>=20
>>>> What about providing elisp or emacs-script as a separate binary?
>>>
>>> What about it?
>>
>> Would that be OK?
>=20
> I would not like installing Emacs to pollute my PATH with trivial thing=
s
> like that. In https://debbugs.gnu.org/20682#11 I mentioned a
> standard solution for this issue as used by perl, ruby, etc;
> namely a -x switch.

Can you explain how that works wrt the problem I mentioned in my original=
 post? "#!/usr/bin/env emacs -x" doesn't work, does it?

Cl=C3=A9ment


--esFQtgV4SaoIgkx7b6aVh1Qob91gWxqsO--

--SwSHKTFF67MBK5rxiGLoPNUfaMOao0VSM
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJYniC7AAoJEPqg+cTm90wjOMQP/A2jvjMgvY9XS/SfQaOV3Gi0
a7ek41sJn9y169vtHFDcK9HW0nt9It/xKnRas48ak/z4fQoPX14uENTwYRUt3tIZ
bev+zWDaKsbihT0jS6dfbSIW7/uybjEQbuVx+6Jbfi+rhthgJ+F5SXkbsRj5JtUW
YaTys5qQnLl8B3pj5XPsrQw6kTsYeEJdQLU0/7Q+wlidZacpxTlrdbuYEO3M3VZv
fhWYn7cQLErwk7+F5elBYRrG7PPVGPkRWe/T+CWnbEWrV0y7fz9BlRrCh0S2K7wD
Vy66HLjmYK0+oNTwPDk3yaOTYBHk/NMR5x0+35DMxEOqYCO6E1+2ihilEeq+OomE
qb/z+Yi5fgGDPAU2OlvUtlztFEXRHlMIQn1G6p57DZWMO3RsfPFOZA0Nd4vBnMK1
P5byZeDup3QandGcHZpX/993LlYAoT1Ra4kALMIh7jWElyLNmQfA6NlmUdBEbkG2
80vAhd/pWQETkI1X9pFfN2EWGPNkP76Sx0ddAzafxsWY4xKNt62FeshVl8XO/lh7
O9LghJyy+x/oHlfq8kmvWPAPcHVAqTXCwZVg13Vy56VNEVoQwiEWShAa/aEXdwMh
XBQArDLQR9w14xD2FCn3MQKSqMbkdyfoYHLrTNQuKtQJXzG6FpLGA6PR6jC5daf5
uY7rTvpbkqR1M5oqAWmC
=05Ys
-----END PGP SIGNATURE-----

--SwSHKTFF67MBK5rxiGLoPNUfaMOao0VSM--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25671; Package emacs. Full text available.

Message received at 25671 <at> debbugs.gnu.org:


Received: (at 25671) by debbugs.gnu.org; 10 Feb 2017 17:32:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 10 12:32:32 2017
Received: from localhost ([127.0.0.1]:34958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ccF3g-0007VQ-8h
	for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 12:32:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1ccF3e-0007VD-MP
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 12:32:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1ccF3Y-0002CH-9h
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 12:32:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48518)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1ccF3V-0002BU-LH; Fri, 10 Feb 2017 12:32:21 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1ccF3T-0000m0-K0; Fri, 10 Feb 2017 12:32:19 -0500
From: Glenn Morris <rgm@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <83lgte4hto.fsf@HIDDEN>
 <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN>
 <831sv63x8b.fsf@HIDDEN>
 <fe59c761-3751-1ae9-c178-2b51fd550e04@HIDDEN>
X-Spook: White Powder Human to Animal $400 million in gold bullion
X-Ran: r(8Y3Fh1?'+V=\rz,I^'iTX=93]Jbx_F.KF'1!n,"H.nAHxhSn{5,wD[fazK6^Gv:5]#k*
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 10 Feb 2017 12:32:19 -0500
In-Reply-To: <fe59c761-3751-1ae9-c178-2b51fd550e04@HIDDEN>
 (=?utf-8?Q?=22Cl=C3=A9ment?=
 Pit--Claudel"'s message of "Fri, 10 Feb 2017 11:45:55 -0500")
Message-ID: <05d1eqost8.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25671
Cc: 25671 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Cl=C3=A9ment Pit--Claudel wrote:

>>> What about providing elisp or emacs-script as a separate binary?
>>=20
>> What about it?
>
> Would that be OK?

I would not like installing Emacs to pollute my PATH with trivial things
like that. In https://debbugs.gnu.org/20682#11 I mentioned a
standard solution for this issue as used by perl, ruby, etc;
namely a -x switch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25671; Package emacs. Full text available.

Message received at 25671 <at> debbugs.gnu.org:


Received: (at 25671) by debbugs.gnu.org; 10 Feb 2017 16:58:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 10 11:58:33 2017
Received: from localhost ([127.0.0.1]:34941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ccEWm-0006hU-U8
	for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 11:58:33 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ccEWk-0006hH-TJ
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 11:58:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ccEWb-0004zV-72
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 11:58:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47995)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ccEWb-0004zR-3T; Fri, 10 Feb 2017 11:58:21 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1031
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ccEWa-0002W6-K2; Fri, 10 Feb 2017 11:58:20 -0500
Date: Fri, 10 Feb 2017 18:58:29 +0200
Message-Id: <83shnm2dai.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
In-reply-to: <fe59c761-3751-1ae9-c178-2b51fd550e04@HIDDEN> (message from
 =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel on Fri, 10 Feb 2017 11:45:55 -0500)
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <83lgte4hto.fsf@HIDDEN> <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN>
 <831sv63x8b.fsf@HIDDEN> <fe59c761-3751-1ae9-c178-2b51fd550e04@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25671
Cc: 25671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 25671 <at> debbugs.gnu.org
> From: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>
> Date: Fri, 10 Feb 2017 11:45:55 -0500
> 
> >>> I believe changing the program behavior depending on how it was named
> >>> in the command that invoked it is against GNU coding standards.
> >>
> >> What about providing elisp or emacs-script as a separate binary?
> > 
> > What about it?
> 
> Would that be OK? Could it work?

Yes, it will.  Although distributing two large binaries might be
overkill.  (All that just to make shell scripts slightly simpler?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25671; Package emacs. Full text available.

Message received at 25671 <at> debbugs.gnu.org:


Received: (at 25671) by debbugs.gnu.org; 10 Feb 2017 16:46:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 10 11:46:12 2017
Received: from localhost ([127.0.0.1]:34930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ccEKq-0006QK-EO
	for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 11:46:12 -0500
Received: from mout.kundenserver.de ([212.227.126.130]:62355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1ccEKo-0006Q3-Lw
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 11:46:11 -0500
Received: from [18.26.2.123] ([18.26.2.123]) by mrelayeu.kundenserver.de
 (mreue002 [212.227.15.168]) with ESMTPSA (Nemesis) id
 0MBezu-1ckRHJ2lAE-00AZYt; Fri, 10 Feb 2017 17:46:03 +0100
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
To: Eli Zaretskii <eliz@HIDDEN>
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <83lgte4hto.fsf@HIDDEN> <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN>
 <831sv63x8b.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <fe59c761-3751-1ae9-c178-2b51fd550e04@HIDDEN>
Date: Fri, 10 Feb 2017 11:45:55 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.7.0
MIME-Version: 1.0
In-Reply-To: <831sv63x8b.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="VRAMm4BWQbTbi8DmcgJp5EpgwJU6Gpm4k"
X-Provags-ID: V03:K0:lhg0o1aIhJghuaD4XTWcZp+2fEpKaYYlYbDhj93NE289ef/ydlr
 Db5DoVkM/wEZSNc/Pb/1XUwFQSEJ7mHL5J4tD9MY1Kpr7gkkrXI3kv1/PC77LWq6fR3Op5e
 4eOnprLvcF84zS0eRnxHlXzOA2T4XMYGou8k2ELcR0WRjcy57/KNFraNij/Pc2S4uzQs20e
 2gwpfrQuoR4ku+P2bXY/w==
X-UI-Out-Filterresults: notjunk:1;V01:K0:BtE2HZ3NgyM=:zF9yzdj/6LMKrK0emII4dY
 6HOEQ+T44YdA6FQcdotxUzHeuhPKrvJMRP9oW0XQrX46JXLVCsQqCa8wJXSBZiYZl2Hc/Qc7l
 QhRNvpJZR5BSng565JeCLI3mawJb8KNNlDA2vUO6b3EwI61JPWFPvsILKMXcmu82fjUS7D8hQ
 U85EkI77FufKUWVMndrfk1ftNVEvQAoFwzgInhMnpsZmWKgSkPU6ojD7MlG3pfQ8R+7nYgSXq
 zHljSLN9DjTZXkHNCqXJd1sM8v/CGryN+9yVeoxYJuO1t/X/JrDMCxDrrdUTLkEu+6QkCsCEY
 /UiITkJzTELkme+Jc38GLZpdEHKhGzH4BIzK8yvlXOStFyMUN39RYgMaYqyIW/83oNPCsgc8i
 q5qvbBmjCzQGoC3emRBMmDpRP8wOgJFOjhgjfl5Wqif35U70JFp5cjS8h8rLPHk8fv6afmup0
 V2TVXf2g8yt9dIF0HKoE8kK8FwQ7CZmX0088s6j3YLIptf2uUdKPgrGCPxJXswaTFo0JiwM4a
 lOG1h+XB9zKsKraTPstM89oC+ofS0w5R4Q78pmzQ9kVX+sFWj9l5C7VcJFT2WYDUuKnqlUirw
 cXqKurPYhZQrxWSzmeOvlT6L0prXUHNv5xPP4tjiAdvqmV2aetSgIQLjzofml0PKRLr8YdGDm
 Vj19DCcoafBWK4QA9WXIQGPiIc9ZNyLCqYbNSlRIJ2UPTxce5uBuz5NUBNns0mrLenmE=
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 25671
Cc: 25671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--VRAMm4BWQbTbi8DmcgJp5EpgwJU6Gpm4k
Content-Type: multipart/mixed; boundary="5SWmi7n28dbJx1o4uNGnIUWHTfbAWg27W";
 protected-headers="v1"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 25671 <at> debbugs.gnu.org
Message-ID: <fe59c761-3751-1ae9-c178-2b51fd550e04@HIDDEN>
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <83lgte4hto.fsf@HIDDEN> <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN>
 <831sv63x8b.fsf@HIDDEN>
In-Reply-To: <831sv63x8b.fsf@HIDDEN>

--5SWmi7n28dbJx1o4uNGnIUWHTfbAWg27W
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2017-02-10 10:02, Eli Zaretskii wrote:
>> Cc: 25671 <at> debbugs.gnu.org
>> From: Cl=C3=A9ment Pit--Claudel <clement.pitclaudel@HIDDEN>
>> Date: Fri, 10 Feb 2017 09:17:00 -0500
>>
>>> I believe changing the program behavior depending on how it was named=

>>> in the command that invoked it is against GNU coding standards.
>>
>> What about providing elisp or emacs-script as a separate binary?
>=20
> What about it?

Would that be OK? Could it work?  I thought it would make implementation =
simpler to just make the emacs binary ct differently based on how its inv=
oked, but if that's not OK then could we distribute a separate "elisp" or=
 "emacs-script" binary that can be used in a shebang line?


--5SWmi7n28dbJx1o4uNGnIUWHTfbAWg27W--

--VRAMm4BWQbTbi8DmcgJp5EpgwJU6Gpm4k
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJYne5DAAoJEPqg+cTm90wjHO8QAKV9FBdWblGtC9xh1aCMScJT
a3yDZ6gxe4Sk4KoUWHDIclHS4ryXp5lcPT7RibSUGil07SxxJ6KrfMme6AktjXhB
O5aVJj/WUJM82Ts3wv0tZFV7r+TQYGlMg9rxCAcTFweMSJ2/RX8l1xXEuthv7QoV
qsOJYhv+ArUGvxDSiDxeN50upCFwqXOP9DlvI/ntPXb5kSwNFiZwD7Y40e0/h2QL
4+ZQaRfxRwW1RMfL+h5HfAZkx4YatNc7DzInvb5pAnK2e/tEnCHJTDjDMR28NjvT
SNe5L2C9bGJyYVfOI2KyNQPsY33u9njZvw22LjgidlmbxtcJ6visn6ztnmYNE7+h
F3vjKx/ksW6XY5Z1IX0eOJcO9zPhLr1khbi0Jo2DXLSz8obSSRLxU62D/HYM66kQ
R6Y60H0qxJpjkuF2RuxQM3SAq/QSLvT5OfpylBifIBtM0eMEslBqCC1aWqGmtd3/
HO5NOlvCUJpLCDpa5S4HW05YDJJWShMZDzU0DvUsELKh+HyzDbXO6oR2CsV81i2n
/Yz8NS5VvF0hYSxIPp18me2V2Z3ncTmPBI4j0X7syPWE/Dk4PPBC/HE4n/At10SV
Opjdkm9yJExhUpe9v6p+apz3sHxaNqd6edNw4G0etZXSqrG5VouSRO4EnhcWnl0P
t8zxUfT7X2KlMsGfchjz
=ly1o
-----END PGP SIGNATURE-----

--VRAMm4BWQbTbi8DmcgJp5EpgwJU6Gpm4k--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25671; Package emacs. Full text available.

Message received at 25671 <at> debbugs.gnu.org:


Received: (at 25671) by debbugs.gnu.org; 10 Feb 2017 15:02:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 10 10:02:34 2017
Received: from localhost ([127.0.0.1]:34868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ccCiY-000417-Cj
	for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 10:02:34 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ccCiX-00040u-3P
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 10:02:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ccCiN-0001DE-WC
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 10:02:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:46464)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ccCiN-0001DA-SP; Fri, 10 Feb 2017 10:02:23 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4841
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ccCiK-0004lv-FB; Fri, 10 Feb 2017 10:02:20 -0500
Date: Fri, 10 Feb 2017 17:02:28 +0200
Message-Id: <831sv63x8b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
In-reply-to: <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN> (message from
 =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel on Fri, 10 Feb 2017 09:17:00 -0500)
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <83lgte4hto.fsf@HIDDEN> <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25671
Cc: 25671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 25671 <at> debbugs.gnu.org
> From: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>
> Date: Fri, 10 Feb 2017 09:17:00 -0500
> 
> > I believe changing the program behavior depending on how it was named
> > in the command that invoked it is against GNU coding standards.
> 
> What about providing elisp or emacs-script as a separate binary?

What about it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25671; Package emacs. Full text available.

Message received at 25671 <at> debbugs.gnu.org:


Received: (at 25671) by debbugs.gnu.org; 10 Feb 2017 14:17:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 10 09:17:17 2017
Received: from localhost ([127.0.0.1]:33917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ccC0j-0002jO-8l
	for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 09:17:17 -0500
Received: from mout.kundenserver.de ([217.72.192.75]:60295)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1ccC0h-0002jA-Ar
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 09:17:16 -0500
Received: from [18.111.113.197] ([18.111.113.197]) by mrelayeu.kundenserver.de
 (mreue104 [212.227.15.184]) with ESMTPSA (Nemesis) id
 0MQfKn-1cyya103p7-00U6fR; Fri, 10 Feb 2017 15:17:08 +0100
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
To: Eli Zaretskii <eliz@HIDDEN>
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <83lgte4hto.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN>
Date: Fri, 10 Feb 2017 09:17:00 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.7.0
MIME-Version: 1.0
In-Reply-To: <83lgte4hto.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="fmAluvMBK9Lx5RhPQ5jtjqfKAq8jnkVkX"
X-Provags-ID: V03:K0:SB83mtKGmfDNsdMYHYtikoIJz6grv+kOpjhC01RMfjKDDYiyNTj
 JZvWN+GZjaQ9lN4M82Omak6JkPqVXNn0ms1wIS0Yzh+KoRtAYfbjZPBk+brNPOIM0C/G4qs
 ZKe5DMz87t0QSHcPQQcQ+IRItq0acfkNwiEDq5FvXXJd/AL1XA7rNj4xWcKFtJnvALUc1RT
 apcRD2BPg649MDf4J6iDw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:xt2BlcPpv+Y=:4jKeOmjvaERPkMGSotsxnK
 rtaG6SrKaCbKSzQEM6xiuxgIs8NOVDi/XdtHtdwUTs08HHAZ+P2KTREwzcaDd/XXjlVpYZiUY
 pfcP9gTIKUOlECdJILz9X/L8JIo9gIQP8Z9ibN26Cgjmnlbnt83TWJKvC1Rch9Iamf0P9wvXu
 ApJCLPEib09r29hNL+kTWTNprDvgXA43uzlbGZ5RZhtibXfEjhSkhpKaIsIZQwA/q3WwCxThw
 yT/cqmlwTIsHteszy3g9IOfERz1ps2iFCRqB6l4b+RMHqqPolfjaUUdXoQFO6bDL7qJbZtMNF
 /U1X4fpWRLgJheBzZlfKuowGoLPfONDS28o6vXGuaTOdklqz/VkWfCLi8ORqtJheMCbuQ7Vd+
 dkaQJUMaceIPzifzY/eQ5F6zcxXlcoopF11r2NhswZLZsAEIgMr/7UrEwJjMUnfQ0cAYAWwFg
 OsgTxD9aFCXTgI5Zoyb3d3RGo0im3lU1iMxQF6WU3/S8wbpyg30tAI8bvN/cwP9Ea9CmHJKsR
 4RhEEOzxpPJ5lWWxkAeK+VBgHg/Hwtvm3GeiBhGfcvHRRqqdBadf7VPDMjDNUQjntgqvjk2fJ
 BGdrG4YtjnDEFZnCeCOU1vmW8ao88jFsGRnSxzlOCbfCpN9CFM7bIf7GG7GSSL6ra6mFwp9uS
 crgYw697iKxVNlwH5b07FEmoFqvTl+61vlgJoPKCyFh72GOZn7KoAxdJ9gvqTXVzJDTM=
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: 25671
Cc: 25671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--fmAluvMBK9Lx5RhPQ5jtjqfKAq8jnkVkX
Content-Type: multipart/mixed; boundary="aEht3PRcj0VlGg1FlWOxR0tN0xFFWSf1D";
 protected-headers="v1"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 25671 <at> debbugs.gnu.org
Message-ID: <372ac0e0-a3d1-70ba-efe0-2e1519088c57@HIDDEN>
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <83lgte4hto.fsf@HIDDEN>
In-Reply-To: <83lgte4hto.fsf@HIDDEN>

--aEht3PRcj0VlGg1FlWOxR0tN0xFFWSf1D
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2017-02-10 02:37, Eli Zaretskii wrote:
>> From: Cl=C3=A9ment Pit--Claudel <clement.pitclaudel@HIDDEN>
>> Date: Thu, 9 Feb 2017 16:14:41 -0500
>>
>> Could we set up emacs to assume --script and possibly -Q when started =
as "elisp", or "emacs-script", or some other name (that is, could we make=
 it so that invoking emacs with argv[0] =3D ".../elisp" starts emacs -Q -=
-script)? (And ideally Emacs would ignore all options after the script's =
name, to let the script itself process them).
>=20
> I believe changing the program behavior depending on how it was named
> in the command that invoked it is against GNU coding standards.

What about providing elisp or emacs-script as a separate binary?


--aEht3PRcj0VlGg1FlWOxR0tN0xFFWSf1D--

--fmAluvMBK9Lx5RhPQ5jtjqfKAq8jnkVkX
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJYnctcAAoJEPqg+cTm90wjkEwQAK4Fdrxcz1b0Wt1m+bpQwKxu
cF7ydaHntW30rjAqWIT2mcH1qSB8jE/xLbXKoSie7Lx7ok1wMG7XI4UFjPI+Y5kv
6ytXLoHwyMJqUewbi595ndDiZyYXYYsZJmpQjB/kZXJ0kGj+mIqMymRuxxt6QWpl
NOgBvW3h8kj5DSmLwtisoCzTpc7RfoeD73VNPCR+lzhJwhWN9fvV1mnVXKuCE9GW
NyHreLE3RuUSdcwlLL5s9EJD0sgBDZUJd5kn2W5X/8FqwmuEJThQkWe6U2C1wApb
ozkqMWH+JJ0Z2sjaW4v0BxfL38hS+SKpPXOVzJrq/wxurPr/anyYuNzTikB6lCVt
sGTvoqlM+eZW9ZACdyrAZoyq+dOdK578kCwdbQyTbndHMh0DgMpHQQ1Tn9qt2KH9
LPjXW42yMS7q6SU78CEUbxtDm7anAvUKegIN+AOlXQp8vOdvrboojo+IQgAiAkFB
X7g5LyJMXxgLY3XcjqY3XPCv4DMnSte7KQ6qwKpYfi5+Ooed3igQo3779xMc/Zfo
+G/LUNp62pKwM+NDHUrgTX8R3wHC6JgDMZusK8COodC5R911myR38J9fsXDxYMBm
0x8tZOuv1kXNbMkXQcnQjQxXc3ZoYdmvLyE0TipjwkaBLnoXf3G5CY98h4+ClGFb
SBH+96K04OtW1KBJulqU
=ek7J
-----END PGP SIGNATURE-----

--fmAluvMBK9Lx5RhPQ5jtjqfKAq8jnkVkX--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25671; Package emacs. Full text available.

Message received at 25671 <at> debbugs.gnu.org:


Received: (at 25671) by debbugs.gnu.org; 10 Feb 2017 07:37:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 10 02:37:43 2017
Received: from localhost ([127.0.0.1]:33729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cc5m3-00007G-58
	for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 02:37:43 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cc5m1-000073-7W
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 02:37:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cc5ls-0003T0-Qt
 for 25671 <at> debbugs.gnu.org; Fri, 10 Feb 2017 02:37:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58167)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cc5ls-0003Sw-NS; Fri, 10 Feb 2017 02:37:32 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4492
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cc5lr-0007P9-Ue; Fri, 10 Feb 2017 02:37:32 -0500
Date: Fri, 10 Feb 2017 09:37:39 +0200
Message-Id: <83lgte4hto.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
In-reply-to: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN> (message from
 =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel on Thu, 9 Feb 2017 16:14:41 -0500)
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25671
Cc: 25671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>
> Date: Thu, 9 Feb 2017 16:14:41 -0500
> 
> Could we set up emacs to assume --script and possibly -Q when started as "elisp", or "emacs-script", or some other name (that is, could we make it so that invoking emacs with argv[0] = ".../elisp" starts emacs -Q --script)? (And ideally Emacs would ignore all options after the script's name, to let the script itself process them).

I believe changing the program behavior depending on how it was named
in the command that invoked it is against GNU coding standards.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25671; Package emacs. Full text available.

Message received at 25671 <at> debbugs.gnu.org:


Received: (at 25671) by debbugs.gnu.org; 9 Feb 2017 21:32:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 09 16:32:49 2017
Received: from localhost ([127.0.0.1]:33518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cbwKf-00065V-A7
	for submit <at> debbugs.gnu.org; Thu, 09 Feb 2017 16:32:49 -0500
Received: from mout.kundenserver.de ([212.227.17.24]:54409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1cbwKc-000659-Un
 for 25671 <at> debbugs.gnu.org; Thu, 09 Feb 2017 16:32:47 -0500
Received: from [18.111.113.197] ([18.111.113.197]) by mrelayeu.kundenserver.de
 (mreue102 [212.227.15.184]) with ESMTPSA (Nemesis) id
 0LjaQK-1c0OaO0erI-00baio; Thu, 09 Feb 2017 22:32:40 +0100
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
To: Glenn Morris <rgm@HIDDEN>
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <hn60kjcawx.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <b2acf742-92b6-fffd-25be-200df1f1774a@HIDDEN>
Date: Thu, 9 Feb 2017 16:32:32 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.7.0
MIME-Version: 1.0
In-Reply-To: <hn60kjcawx.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="Ha9IBiJ36dIhhGD8TOrj5Sc1TCk9Cv41d"
X-Provags-ID: V03:K0:xDvf7/5rdy/uawfsX8QWDdUtuq1kgW02SPZsz21QHf4JkmSLSZt
 jQHwd+uHley6qgXEGzrT/oaM1OX3dmrU3HhRh9Hqs8N6a4O2j4G0DekAYxN359Sd1Lb4gls
 nNeTdJRNNgK8jwyHxOzvaa3X73vJKEgihu5KIyo37KUP2sGoVSRD2iI5FdliCVHUXO2UFq7
 dc/nlww/acJ7k7AUtAOIA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:NdjTM9CNzkM=:b7/W3xKQQu1h5ZlsLDbx42
 alMFQCxkXrq4IXTwt6Qn05rDz1SYi+HdV5ugTN+AQCHFKehSjBEd+UPXqToznilh2s0tML5ay
 ZDoAVpWiIpbaCFH8rVBPcI1yl77Y2Gmd+hYbgxcpcLTG/VkN3rqMYV7/jgA+/pzK+OR203vDb
 ARM0JyKAU1top++GZwGDCvI6bIsxMZdLgDrs9n1UPUVhp5UR/0aZdKsP2bUaXhgI0ukvVVXd3
 hDidvjaOSFYz6E9s5DoQuTBeb3BJDYElXiD9Cl7VohNJEjVfstdjTW/SdB2a6303isnmAvlns
 ZyDUOLtJsvECf/DsA6Smtd7NEfOhs4skw3juh3SDjmXkGfV2NnIbqjAHz6laugEzytc6IHj6W
 3GqGzrmse4kZWZ4r1s+SdKm1Jno26SyHE8097AzWB2nppymYEcyS5R6B3eEDlFo2VCN0RKwoi
 L25Tc93u5rY2OVmkdSeruIoRyKvjgSU0TTOKIoVTZ0lGzyOyNngshZvQqz/jqijcHz6+Cgy91
 dXEpzMcawFej2X1nJhXSOzypKxavVVFsmSdIAo+ImfPPxd1qQWiurS19GKXA3eUS58TTATjoC
 who9VG20J4wLGw4H9j9sBFTm0LLjE6eAoU8PV0BB/XbITLduUihcPGfx887S17nistjJdBpVG
 ZvkpSWkAGy2A//8wUB2DwgAXSeH6kiN2T65haAKyTOAX8HGuQBxN6MQSlAzG44gtPClo=
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: 25671
Cc: 25671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--Ha9IBiJ36dIhhGD8TOrj5Sc1TCk9Cv41d
Content-Type: multipart/mixed; boundary="AUTTgDTisREX814dlK2m1sQDF4fRqaNsT";
 protected-headers="v1"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Cc: 25671 <at> debbugs.gnu.org
Message-ID: <b2acf742-92b6-fffd-25be-200df1f1774a@HIDDEN>
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 <hn60kjcawx.fsf@HIDDEN>
In-Reply-To: <hn60kjcawx.fsf@HIDDEN>

--AUTTgDTisREX814dlK2m1sQDF4fRqaNsT
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable

On 2017-02-09 16:27, Glenn Morris wrote:
> This seems like a duplicate of https://debbugs.gnu.org/20682 .
>=20
> (IMO a big, unwieldy text editor that is never going to be a sensible
> alternative to bash, perl, python etc for scripting.)

Partly; thanks for the pointer! That thread still assumes that you can pa=
ss an argument to Emacs, though, which isn't always the case (e.g. if you=
 want to use /usr/bin/env).

Cl=E9ment.


--AUTTgDTisREX814dlK2m1sQDF4fRqaNsT--

--Ha9IBiJ36dIhhGD8TOrj5Sc1TCk9Cv41d
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJYnN/wAAoJEPqg+cTm90wjDt4P/i9974zpB6B+3el4nC2+iOjB
WPNefB9yCIwNZ61y/nKAYGg5CU5phZmWmuvvRPOuTC6WCJ6/C4YEClChU7y36+7p
tC1uEjGNl0GYXG5BAiPqr2/rm021S8z4j2m1M57M8WRmqe9gX5c4GWSzn47xj2jj
TUumt70r/krbK9we1t7sbenLNYYeefUa34IINjjtrhjnudCnV8iB5ikmgOKhe1Ew
+b+QfNNFZM9/p47swLpLB+8NshbIqB0jxCBcMg3tV3w/KovmuebwEuahZYcTvpji
T+Va6HqODCvLqPsrLTeGU+SM/AnbrP4DdcxtYIQ9OJO+RfnEbgPoWRbw5rLTK7m0
fGi5kjLTidzGZC9vE6wQNTSbh71b+I/acVf12oDS/8HSMXu6iuhYVjXvrtzW/HE1
kgvG1IulPnuJ4Opm4Y6HCfUBPMBA41wyek8teD3n4WXkuBUn9gHXW1+Sc/2TWpiN
f7fYiXB3CqKAGm+6ogM2OJ7vDS2mxZ9Rxp3aDAcUaW/xDNEjX72SbCsFd5umBqAr
vhgVpNWjI5d2nIuf9lz8AbI4ry8SCsiyDBdndNU3YKrbSv2q2dOHbn7pahwmeO+W
iKVhz24QQu6a5/GmRfHNxy4OOOK5t4Jazrv9uEg5p4n1lMHxS9sA8gGoXyG6wMcb
ScRuJCNCQIqpsei3huPK
=AGv3
-----END PGP SIGNATURE-----

--Ha9IBiJ36dIhhGD8TOrj5Sc1TCk9Cv41d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25671; Package emacs. Full text available.
Merged 20682 25671. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25671 <at> debbugs.gnu.org:


Received: (at 25671) by debbugs.gnu.org; 9 Feb 2017 21:27:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 09 16:27:38 2017
Received: from localhost ([127.0.0.1]:33510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cbwFe-0005vE-GF
	for submit <at> debbugs.gnu.org; Thu, 09 Feb 2017 16:27:38 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1cbwFd-0005v2-RQ
 for 25671 <at> debbugs.gnu.org; Thu, 09 Feb 2017 16:27:38 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1cbwFX-0003DD-Da
 for 25671 <at> debbugs.gnu.org; Thu, 09 Feb 2017 16:27:32 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51305)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1cbwFT-0003Ce-6y; Thu, 09 Feb 2017 16:27:27 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1cbwFS-0001h9-Au; Thu, 09 Feb 2017 16:27:26 -0500
From: Glenn Morris <rgm@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary
References: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
X-Spook: Mysql injection National Guard Honduras lynch monarchist
X-Ran: k`I\J<ENwI`hr!\N0[?*T<kHHqih'DG~<[8<R-0+V@Map'ocg\k"z^MI='z*_\TN_+$Z<0
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 09 Feb 2017 16:27:26 -0500
In-Reply-To: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
 (=?utf-8?Q?=22Cl=C3=A9ment?=
 Pit--Claudel"'s message of "Thu, 9 Feb 2017 16:14:41 -0500")
Message-ID: <hn60kjcawx.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25671
Cc: 25671 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


This seems like a duplicate of https://debbugs.gnu.org/20682 .

(IMO a big, unwieldy text editor that is never going to be a sensible
alternative to bash, perl, python etc for scripting.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25671; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Feb 2017 21:15:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 09 16:15:06 2017
Received: from localhost ([127.0.0.1]:33499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cbw3U-0005bw-QT
	for submit <at> debbugs.gnu.org; Thu, 09 Feb 2017 16:15:06 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1cbw3T-0005bB-DR
 for submit <at> debbugs.gnu.org; Thu, 09 Feb 2017 16:15:03 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1cbw3N-0008D0-2R
 for submit <at> debbugs.gnu.org; Thu, 09 Feb 2017 16:14:58 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.5 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 RCVD_IN_SORBS_SPAM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40038)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <clement.pitclaudel@HIDDEN>)
 id 1cbw3M-0008Cv-V9
 for submit <at> debbugs.gnu.org; Thu, 09 Feb 2017 16:14:56 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50248)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1cbw3L-0003wO-L0
 for bug-gnu-emacs@HIDDEN; Thu, 09 Feb 2017 16:14:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1cbw3H-0008Az-Ks
 for bug-gnu-emacs@HIDDEN; Thu, 09 Feb 2017 16:14:55 -0500
Received: from mout.kundenserver.de ([212.227.17.13]:56278)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <clement.pitclaudel@HIDDEN>)
 id 1cbw3H-0008AV-7Q
 for bug-gnu-emacs@HIDDEN; Thu, 09 Feb 2017 16:14:51 -0500
Received: from [18.111.113.197] ([18.111.113.197]) by mrelayeu.kundenserver.de
 (mreue101 [212.227.15.184]) with ESMTPSA (Nemesis) id
 0MAMbS-1cj6nK24sM-00BYs9 for <bug-gnu-emacs@HIDDEN>; Thu, 09 Feb 2017
 22:14:48 +0100
To: bug-gnu-emacs@HIDDEN
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Subject: Feature request: emacs -Q --script as a single binary
Message-ID: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
Date: Thu, 9 Feb 2017 16:14:41 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.7.0
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="xoFaqFl4h5E05QCHf5CUTihoQF2he58kw"
X-Provags-ID: V03:K0:S22Dg0zlvvDls6sboPue9OPjgv0jBi4YmSI0foTLLphldlId7ub
 daaYpjrvGFCuidRmzZThi+Bw4suu5bwNtHH1SQMbe5BB3VzFBK5Ljo2UuKZ3sXs6z/YKjjH
 oQ7McJpai3FvI4hjoPNVTkVTryd/F09Uyq9euzkMztY0+IGu6jw2YbczaoFdVB0nOrFDiHb
 1j+jWfHyIbd/TQn8H33Dg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:ZSXVyfIJOtk=:nd09tDNx+t+fMhpn+mPixp
 lcoaHzYw43fIfOCxjdo+ztKN1lyb7AN+ktl+LVm9ebxcWuAip+WjbYkGlCWzlpJJ3BvISDDqv
 4vKpIyXch22adCbpdHKQ7qKK8DSSRAEtJQFQy0IM8OWXL24IG+BuvjU09XP7IsZIMCuoDddWt
 z03xH79lZKy7s2X2qN0oX3EoLwciJaaSQlHU6u8rWk7MipX87c7g7in5SdF9eZcAYgKZ8MBx5
 UWIbdnlt6Ni0+CpbmkTw80Wsu85iP2A3wF9lhIsrmPAOOtiVcCs1C78suCaTE1/Y9fMZfCdjK
 R1zHbr1kOIwePcDRqhwa5sRai0O7HII20+NvztvcM3riRE4naPQ9eAeVjYQPPPK8S2GKe/OuG
 0YNhPIscGd7nbzaBVPRjw3Cyju1EETQyPgPp7nUKU2IEGH4Kg1EkADKehmg6Avtu7I4X+T3ep
 wN4yd31UgxocxCyZxEPPmhsPTWYH+v8Z0H0MO9cXBoIiNP9Wkj66tPvhvpJmvVSKyO6xtycCz
 pUrtoLSXmes9hGdDLXwYtgNAQqCiRJFfXGfbisswHzkjpQW82cpKODE18SO5ySKuRHuSjK8vX
 Q0QJc4BeqH84amnHL213/L0mkDTOx9971iYPW/uL5tQkQpEUMak0ZL5WLVVFY/uiMucs1rilz
 cMA/ljYZoa5JgNVGorLOtNvYvRGmmpj/DW5fVlNYV2uhOPYm/xhCn4cOMcMH8YOFqxJE=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--xoFaqFl4h5E05QCHf5CUTihoQF2he58kw
Content-Type: multipart/mixed; boundary="FIhkWLj5CuruqwwJR1D0QOThNd4ecXoO5";
 protected-headers="v1"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Message-ID: <4d463814-5439-da70-d3af-b9e603121f8a@HIDDEN>
Subject: Feature request: emacs -Q --script as a single binary

--FIhkWLj5CuruqwwJR1D0QOThNd4ecXoO5
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi bug-gnu-emacs,

Since version 22 Emacs lets scripts begin with a shebang line:

  #!/usr/bin/emacs --script
  ;; Some ELisp code here

This breaks if Emacs isn't installed in /usr/bin, though.  Thus, one woul=
d want to write this:

  #!/usr/bin/env emacs --script
  ;; Some ELisp code here

But this doesn't work (env doesn't split its arguments), and it also brea=
ks even if one is happy with hardcoding /usr/bin/emacs but tries to pass =
more than one argument (think -Q and --script).  Thus one writes this:

  #!/bin/sh
  ":"; exec emacs -Q --script "$0" "$@" # -*- mode: emacs-lisp; lexical-b=
inding: t; -*-

(See http://stackoverflow.com/questions/6238331/emacs-shell-scripts-how-t=
o-put-initial-options-into-the-script/6259330#6259330)

This isn't pretty.  Could we set up emacs to assume --script and possibly=
 -Q when started as "elisp", or "emacs-script", or some other name (that =
is, could we make it so that invoking emacs with argv[0] =3D ".../elisp" =
starts emacs -Q --script)? (And ideally Emacs would ignore all options af=
ter the script's name, to let the script itself process them).

Thanks!
Cl=C3=A9ment.


--FIhkWLj5CuruqwwJR1D0QOThNd4ecXoO5--

--xoFaqFl4h5E05QCHf5CUTihoQF2he58kw
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJYnNvCAAoJEPqg+cTm90wjQdQP/3Bw+votsYytaeuI7kJTJeDf
4SPwJVBLPW4DssoC7tW6c1fxFgN72kfyJ6fL4eAebwEotmeWwJiT25INHjIMdoV+
/+YM20Umtadu6ekHAOxNk5dMs4ANqfNGWC+x3N5a48hoLkHTi5qbBfp5BnImvrGb
vI1rMkUzCiQ+YwEh4cH9gaST38K2qJJwxz4HGut364d3+stvA4CpOmeOwp1BN3y9
u/AzJV++FC28m7H36jSB+b9I+8wk6G/+5Fna8Ux80Jj9dM1YT7lgjla0D92AbyEq
LC7gfmmugtO3+zCkqHA6iIxo32rxBU4sEandiBrDB8nvbRb6Z3ZrLJGeslOevQMj
1RVRiNoozaQT3NW2gdftuPgnrvzvdCWh65pIVN2iIaE7uSvGtcM7TY7jNZEe4fYu
9X/ohyQBFvv1RoilZ5N45e+c83eM9JvmnI77/n3jdkkceWcMzT3iZkDu9t585FfB
P3CNat71S/SPedi9uhRh/lsPueCUKe8d8xwCo3sZcmfctq2tDwxfe9H39YBzjcr7
U/ZZED8XEw+G0252bxftu/v6gJJeO+C1IGZ+OV5cbJZe0MKxaCObBQYKKr7sR+Cg
Lhuvgd6FQiPY7gplDAU5Me7h3hbOmjZSRiyVtBu4ecSJP9l9hgxKIhTYkp3lEPuJ
cI+mnpjpJknfmzSd20xK
=R9/1
-----END PGP SIGNATURE-----

--xoFaqFl4h5E05QCHf5CUTihoQF2he58kw--




Acknowledgement sent to Clément Pit--Claudel <clement.pitclaudel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25671; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.